freeslot("SPR2_DEFN")

addHook("PlayerThink", function(player)
    if not (player.mo and player.valid) then return end
    -- Add character check
    if player.mo.skin ~= "Coneling" then return end

    if player.cmd.buttons & BT_CUSTOM1 then
        -- Enter defense mode
        player.pflags = $ | PF_FULLSTASIS | PF_GODMODE
        player.mo.sprite2 = SPR2_DEFN
        player.defending = true
    else
        -- Exit defense mode
        if player.defending then
            player.pflags = $ & ~PF_FULLSTASIS & ~PF_GODMODE
            player.mo.sprite2 = SPR2_STND
            player.defending = false
        end
    end
end)